SessionCachingFilter (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.filter, class: SessionCachingFilter

Package org.apache.geode.modules.session.filter

# Class SessionCachingFilter

java.lang.Object
org.apache.geode.modules.session.filter.SessionCachingFilter

All Implemented Interfaces:
  `jakarta.servlet.Filter`

public class SessionCachingFilter extends Object implements jakarta.servlet.Filter
Primary class which orchestrates everything. This is the class which gets configured in the web.xml.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SessionCachingFilter.RequestWrapper`
  This request wrapper class extends the support class HttpServletRequestWrapper, which implements all the methods in the HttpServletRequest interface, as delegations to the wrapped request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SessionCachingFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Destroy method for this filter
  `void`
  `doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain chain)`
  `static org.apache.geode.modules.session.internal.filter.SessionManager`
  `getSessionManager()`
  Retrieve the SessionManager.
  `void`
  `init(jakarta.servlet.FilterConfig config)`
  This is where all the initialization happens.
  `String`
  `toString()`
  Return a String representation of this object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SessionCachingFilter

    public SessionCachingFilter()

- ## Method Details

  - ### doFilter

    public void doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain chain) throws IOException, jakarta.servlet.ServletException
    Specified by:
      `doFilter` in interface `jakarta.servlet.Filter`
    Parameters:
      `request` - The servlet request we are processing
      `response` - The servlet response we are creating
      `chain` - The filter chain we are processing
    Throws:
      `IOException` - if an input/output error occurs
      `jakarta.servlet.ServletException` - if a servlet error occurs

  - ### destroy

    public void destroy()
    Destroy method for this filter
    Specified by:
      `destroy` in interface `jakarta.servlet.Filter`

  - ### init

    public void init(jakarta.servlet.FilterConfig config)
    This is where all the initialization happens.
    Specified by:
      `init` in interface `jakarta.servlet.Filter`

  - ### toString

    public String toString()
    Return a String representation of this object.
    Overrides:
      `toString` in class `Object`

  - ### getSessionManager

    public static org.apache.geode.modules.session.internal.filter.SessionManager getSessionManager()
    Retrieve the SessionManager. This is only here so that tests can get access to the cache.
    Returns:
      the SessionManager